package org.websparrow;

import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.PreparedStatement;
import java.sql.ResultSet;
import java.sql.SQLException;

public class GetImageDAO {
	// method for communicate with database - MySQL
	public static Connection connect() throws Exception {
		Class.forName("com.mysql.jdbc.Driver");
		return (Connection) DriverManager.getConnection("jdbc:mysql://127.0.0.1:3306/websparrow", "root", "");
	}

	// method for fetching the data from database
	public static ResultSet restriveImage(String imgId) {
		ResultSet rs1 = null;
		try {
			String query = "SELECT name,image FROM image_upload WHERE id=?";
			PreparedStatement ps = connect().prepareStatement(query);
			ps.setString(1, imgId);
			rs1 = ps.executeQuery();
			return rs1;
		} catch (Exception e) {
			e.printStackTrace();
			return null;
		} finally {
			try {
				if (connect() != null) {
					connect().close();
				}
			} catch (Exception e) {

				e.printStackTrace();
			}
		}

	}
}
